﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.586
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.586.
// 
#pragma warning disable 1591

namespace Focus.Services.DocStoreService {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.ComponentModel;
    using System.Xml.Serialization;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="DocStoreSvcSoap", Namespace="http://career.burning-glass.com/")]
    public partial class DocStoreSvc : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback FetchJobOperationCompleted;
        
        private System.Threading.SendOrPostCallback FetchJobByCustomerJobIDOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public DocStoreSvc() {
            this.Url = global::Focus.Services.Properties.Settings.Default.Focus_Services_DocStoreService_DocStoreSvc;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event FetchJobCompletedEventHandler FetchJobCompleted;
        
        /// <remarks/>
        public event FetchJobByCustomerJobIDCompletedEventHandler FetchJobByCustomerJobIDCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://career.burning-glass.com/FetchJob", RequestNamespace="http://career.burning-glass.com/", ResponseNamespace="http://career.burning-glass.com/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string FetchJob(string inJobId) {
            object[] results = this.Invoke("FetchJob", new object[] {
                        inJobId});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void FetchJobAsync(string inJobId) {
            this.FetchJobAsync(inJobId, null);
        }
        
        /// <remarks/>
        public void FetchJobAsync(string inJobId, object userState) {
            if ((this.FetchJobOperationCompleted == null)) {
                this.FetchJobOperationCompleted = new System.Threading.SendOrPostCallback(this.OnFetchJobOperationCompleted);
            }
            this.InvokeAsync("FetchJob", new object[] {
                        inJobId}, this.FetchJobOperationCompleted, userState);
        }
        
        private void OnFetchJobOperationCompleted(object arg) {
            if ((this.FetchJobCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.FetchJobCompleted(this, new FetchJobCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://career.burning-glass.com/FetchJobByCustomerJobID", RequestNamespace="http://career.burning-glass.com/", ResponseNamespace="http://career.burning-glass.com/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string FetchJobByCustomerJobID(string inCusotmerJobId) {
            object[] results = this.Invoke("FetchJobByCustomerJobID", new object[] {
                        inCusotmerJobId});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void FetchJobByCustomerJobIDAsync(string inCusotmerJobId) {
            this.FetchJobByCustomerJobIDAsync(inCusotmerJobId, null);
        }
        
        /// <remarks/>
        public void FetchJobByCustomerJobIDAsync(string inCusotmerJobId, object userState) {
            if ((this.FetchJobByCustomerJobIDOperationCompleted == null)) {
                this.FetchJobByCustomerJobIDOperationCompleted = new System.Threading.SendOrPostCallback(this.OnFetchJobByCustomerJobIDOperationCompleted);
            }
            this.InvokeAsync("FetchJobByCustomerJobID", new object[] {
                        inCusotmerJobId}, this.FetchJobByCustomerJobIDOperationCompleted, userState);
        }
        
        private void OnFetchJobByCustomerJobIDOperationCompleted(object arg) {
            if ((this.FetchJobByCustomerJobIDCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.FetchJobByCustomerJobIDCompleted(this, new FetchJobByCustomerJobIDCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void FetchJobCompletedEventHandler(object sender, FetchJobCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class FetchJobCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal FetchJobCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void FetchJobByCustomerJobIDCompletedEventHandler(object sender, FetchJobByCustomerJobIDCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class FetchJobByCustomerJobIDCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal FetchJobByCustomerJobIDCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591